ONVIF::PTZ::Elements::RelativeMove(3pm)

NAME
ONVIF::PTZ::Elements::RelativeMove

DESCRIPTION
Perl data type class for the XML Schema defined element RelativeMove from the namespace http://www.onvif.org/ver20/ptz/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ProfileToken

     $element->set_ProfileToken($data);
     $element->get_ProfileToken();

•   Translation

     $element->set_Translation($data);
     $element->get_Translation();

•   Speed

     $element->set_Speed($data);
     $element->get_Speed();

METHODS

  new
 my $element = ONVIF::PTZ::Elements::RelativeMove->new($data);

Constructor. The following data structure may be passed to new():

 {
   ProfileToken => $some_value, # ReferenceToken
   Translation =>  { # ONVIF::PTZ::Types::PTZVector
     PanTilt => ,
     Zoom => ,
   },
   Speed =>  { # ONVIF::PTZ::Types::PTZSpeed
     PanTilt => ,
     Zoom => ,
   },
 },

AUTHOR
Generated by SOAP::WSDL